package fr.insa.clavardator.client.ui.dialogs;

import com.jfoenix.controls.JFXDialog;
import javafx.fxml.FXML;
import javafx.fxml.Initializable;
import javafx.scene.layout.StackPane;

import java.net.URL;
import java.util.ResourceBundle;

/**
 * Controller for the about dialog
 */
public class AboutDialogController implements Initializable {

	@FXML
	private JFXDialog dialog;

	public void show(StackPane root) {
		dialog.show(root);
	}

	public void hide() {
		dialog.close();
	}

	public void onDismiss() {
		hide();
	}

	@Override
	public void initialize(URL location, ResourceBundle resources) {
	}
}
